Bug 999732 - [abrt] compton-0-0.2.20121218g75aec17.fc18: __assert_fail_base: Process /usr/bin/compton was killed by signal 6 (SIGABRT)
Summary: [abrt] compton-0-0.2.20121218g75aec17.fc18: __assert_fail_base: Process /usr/...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: compton
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:224287a276115a48deebee81bfa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-22 00:40 UTC by Axel Philip Advento
Modified: 2014-02-05 22:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:19:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (13.08 KB, text/plain)
2013-08-22 00:40 UTC, Axel Philip Advento
no flags Details
File: cgroup (130 bytes, text/plain)
2013-08-22 00:40 UTC, Axel Philip Advento
no flags Details
File: dso_list (1.84 KB, text/plain)
2013-08-22 00:40 UTC, Axel Philip Advento
no flags Details
File: environ (1.23 KB, text/plain)
2013-08-22 00:40 UTC, Axel Philip Advento
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-22 00:40 UTC, Axel Philip Advento
no flags Details
File: maps (10.84 KB, text/plain)
2013-08-22 00:40 UTC, Axel Philip Advento
no flags Details
File: open_fds (179 bytes, text/plain)
2013-08-22 00:40 UTC, Axel Philip Advento
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-08-22 00:40 UTC, Axel Philip Advento
no flags Details

Description Axel Philip Advento 2013-08-22 00:40:11 UTC
Version-Release number of selected component:
compton-0-0.2.20121218g75aec17.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        compton -bcC --shadow-exclude g:ai:synapse --shadow-exclude g:ai:openbox --shadow-exclude g:ai:guake --shadow-exclude g:ai:orage
core_backtrace: b7b62d4d01e98c8b31d95895cbede393b8b0c6e8 0x35ba5 round_and_return - -
crash_function: __assert_fail_base
executable:     /usr/bin/compton
kernel:         3.8.1-201.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Apr 14 13:59:08 badger abrt[5057]: Saved core dump of pid 1242 (/usr/bin/compton) to /var/spool/abrt/ccpp-2013-04-14-13:59:07-1242 (2772992 bytes)

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 __assert_fail_base at assert.c:92
 #3 __assert_fail at assert.c:101
 #4 add_win at src/compton.c:2374
 #6 ev_reparent_notify at src/compton.c:3283
 #7 ev_handle at src/compton.c:3617
 #8 session_run at src/compton.c:5518

Comment 1 Axel Philip Advento 2013-08-22 00:40:16 UTC
Created attachment 789012 [details]
File: backtrace

Comment 2 Axel Philip Advento 2013-08-22 00:40:20 UTC
Created attachment 789013 [details]
File: cgroup

Comment 3 Axel Philip Advento 2013-08-22 00:40:27 UTC
Created attachment 789014 [details]
File: dso_list

Comment 4 Axel Philip Advento 2013-08-22 00:40:31 UTC
Created attachment 789015 [details]
File: environ

Comment 5 Axel Philip Advento 2013-08-22 00:40:34 UTC
Created attachment 789016 [details]
File: limits

Comment 6 Axel Philip Advento 2013-08-22 00:40:40 UTC
Created attachment 789017 [details]
File: maps

Comment 7 Axel Philip Advento 2013-08-22 00:40:43 UTC
Created attachment 789018 [details]
File: open_fds

Comment 8 Axel Philip Advento 2013-08-22 00:40:47 UTC
Created attachment 789019 [details]
File: proc_pid_status

Comment 9 Fedora End Of Life 2013-12-21 14:30:44 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2014-02-05 22:19:00 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.